Package com.ocient.jdbc

# Enum Class XGConnectionInfo.Hint

java.lang.Object
java.lang.Enum<XGConnectionInfo.Hint>
com.ocient.jdbc.XGConnectionInfo.Hint

All Implemented Interfaces:
  `Serializable`, `Comparable<XGConnectionInfo.Hint>`, `Constable`

Enclosing class:
  XGConnectionInfo

public static enum XGConnectionInfo.Hint extends Enum<XGConnectionInfo.Hint>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`EPHEMERAL`
`PREPARED_STATEMENT`
`PRIMARY`
`RESULT_SET`
`STATEMENT`

## Method Summary

Modifier and Type
Method
Description
`static XGConnectionInfo.Hint`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static XGConnectionInfo.Hint[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### PRIMARY

public static final XGConnectionInfo.Hint PRIMARY

### STATEMENT

public static final XGConnectionInfo.Hint STATEMENT

### PREPARED_STATEMENT

public static final XGConnectionInfo.Hint PREPARED_STATEMENT

### RESULT_SET

public static final XGConnectionInfo.Hint RESULT_SET

### EPHEMERAL

public static final XGConnectionInfo.Hint EPHEMERAL

## Method Details

### values

public static XGConnectionInfo.Hint[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static XGConnectionInfo.Hint valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null